This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 432646 - Review Request: fio - multi-threaded IO generator tool
Review Request: fio - multi-threaded IO generator tool
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-13 11:00 EST by Eric Sandeen
Modified: 2014-07-17 07:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-15 00:46:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Eric Sandeen 2008-02-13 11:00:41 EST
Spec URL: http://sandeen.fedorapeople.org/fio/fio.spec
SRPM URL: http://sandeen.fedorapeople.org/fio/fio-1.18-1.fc8.src.rpm
Description: 
fio is an I/O tool that will spawn a number of threads or processes doing
a particular type of io action as specified by the user.  fio takes a
number of global parameters, each inherited by the thread unless
otherwise parameters given to them overriding that setting is given.
The typical use of fio is to write a job file matching the io load
one wants to simulate.

Koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=423559
Comment 1 Parag AN(पराग) 2008-02-13 20:52:07 EST
1)Can you add some lines in comments on "Creation of tarball from git"?

2) License is GPLv2+

3)Use install command as
make install prefix=%{_prefix} mandir=%{_mandir} DESTDIR=$RPM_BUILD_ROOT
INSTALL="install -p"
==> this will take care of usage of macros and timestamp of man page.

4) explicit writing of attr for man page is not needed. make it simple as
%{_mandir}/man1/*
Comment 2 Eric Sandeen 2008-02-13 21:18:53 EST
The tarball was not in fact created from git, it is, as near as I can tell, a
released tarball from the URL from the Source0: line.

re: license, when I look at fio.c, it says:

 * The license below covers all files distributed with fio unless otherwise
 * noted in the file itself.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 as
 *  published by the Free Software Foundation.

Should both GPLv2 and GPLv2+ be listed?

re: the other things; I'll fix those up, someday I'll be good at this :)

new spec & src.rpm, except no license change (yet) is up...

Thanks,
-Eric
Comment 3 Eric Sandeen 2008-02-13 21:19:25 EST
Oh I forgot to add; fio itself appears to be GPLv2, but it incorporates some
files which are listed as GPLv2+
Comment 4 Parag AN(पराग) 2008-02-13 22:34:14 EST
you should bump release and add changelog instead to create same SRPM again and
again that may confuse reviewer.
License is Ok GPLv2.

Comment 5 Parag AN(पराग) 2008-02-13 22:41:58 EST
+ is OK
- is Need work

Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=425562
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
75de5c1adb944bfee44d126  fio-1.18.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honored correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.
Comment 6 Eric Sandeen 2008-02-13 22:44:29 EST
Thanks for the quick review!

New Package CVS Request
=======================
Package Name: fio
Short Description: Multithreaded IO generation tool
Owners: sandeen
Branches: F-8
InitialCC: 
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-02-14 17:16:39 EST
cvs done.
Comment 8 Eric Sandeen 2008-02-15 00:46:25 EST
All set, thanks!
Comment 9 Eric Sandeen 2011-09-26 17:47:26 EDT
Package Change Request
======================
Package Name: fio
New Branches: epel5, epel6
Owners: sandeen
InitialCC:
Comment 10 Eric Sandeen 2011-09-26 17:48:00 EDT
I guess that should be:

Package Change Request
======================
Package Name: fio
New Branches: el5, el6
Owners: sandeen
InitialCC:
Comment 11 Jon Ciesla 2011-09-26 18:40:23 EDT
Git done (by process-git-requests).
Comment 12 Eric Sandeen 2014-07-16 22:20:20 EDT
Package Change Request
======================
Package Name: fio
New Branches: el7
Owners: sandeen
InitialCC:
Comment 13 Jon Ciesla 2014-07-17 07:58:29 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.